curl --request POST \ --url https://api.leadping.ai/sms/send \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "conversationId": "conversation-123", "text": "Thanks for your interest. When is a good time to talk?"}'
import requests
url = "https://api.leadping.ai/sms/send"
payload = {
"conversationId": "conversation-123",
"text": "Thanks for your interest. When is a good time to talk?"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/sms/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"conversationId\": \"conversation-123\",\n \"text\": \"Thanks for your interest. When is a good time to talk?\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/sms/send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"conversation-123\",\n \"text\": \"Thanks for your interest. When is a good time to talk?\"\n}")
.asString();
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: 'conversation-123',
text: 'Thanks for your interest. When is a good time to talk?'
})
};
fetch('https://api.leadping.ai/sms/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/sms/send"
payload := strings.NewReader("{\n \"conversationId\": \"conversation-123\",\n \"text\": \"Thanks for your interest. When is a good time to talk?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/sms/send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => 'conversation-123',
'text' => 'Thanks for your interest. When is a good time to talk?'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}
{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}
{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}
{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "The request could not be completed."
}
Sms
Send an SMS message to an organization lead
Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.
POST
/
sms
/
send
Send an SMS message to an organization lead
curl --request POST \ --url https://api.leadping.ai/sms/send \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "conversationId": "conversation-123", "text": "Thanks for your interest. When is a good time to talk?"}'
import requests
url = "https://api.leadping.ai/sms/send"
payload = {
"conversationId": "conversation-123",
"text": "Thanks for your interest. When is a good time to talk?"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/sms/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"conversationId\": \"conversation-123\",\n \"text\": \"Thanks for your interest. When is a good time to talk?\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/sms/send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"conversation-123\",\n \"text\": \"Thanks for your interest. When is a good time to talk?\"\n}")
.asString();
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: 'conversation-123',
text: 'Thanks for your interest. When is a good time to talk?'
})
};
fetch('https://api.leadping.ai/sms/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/sms/send"
payload := strings.NewReader("{\n \"conversationId\": \"conversation-123\",\n \"text\": \"Thanks for your interest. When is a good time to talk?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/sms/send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => 'conversation-123',
'text' => 'Thanks for your interest. When is a good time to talk?'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
UTC timestamp when the resource was last modified, or null when it has not been updated.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Leadping","description":"Learn how to set up Leadping, send leads, automate responsible SMS and calls, authenticate API requests, use SDKs, and build lead workflows.","colors":{"primary":"#000000","light":"#EBECED","dark":"#0A0C10"},"logo":{"light":"https://mintcdn.com/leadping/yMlelAk-g4uUa1lX/logo/leadpinglogo-transparent.png?fit=max\u0026auto=format\u0026n=yMlelAk-g4uUa1lX\u0026q=85\u0026s=fa5b3d3b67d1041e6581e437e1337faa","dark":"https://mintcdn.com/leadping/yMlelAk-g4uUa1lX/logo/leadpinglogo-dark-transparent.png?fit=max\u0026auto=format\u0026n=yMlelAk-g4uUa1lX\u0026q=85\u0026s=a34baae8eecb1ce22c3cd0478d128f63","href":"https://leadping.ai"},"favicon":"https://mintcdn.com/leadping/zgdBw0mbiLbk4U_V/favicon.svg?fit=max\u0026auto=format\u0026n=zgdBw0mbiLbk4U_V\u0026q=85\u0026s=6ea032e4b33aab1d4e1543cccc1a00a5","api":{"examples":{"defaults":"required","languages":["curl","python","csharp","java","javascript","go","php"]}},"appearance":{"default":"light"},"navbar":{"links":[{"href":"https://leadping.ai","label":"Leadping"},{"href":"https://github.com/leadpingai","type":"github"}],"primary":{"type":"button","label":"Get Started","href":"https://leadping.ai/auth"}},"footer":{"socials":{"website":"https://leadping.ai","x":"https://x.com/leadpingai","bluesky":"https://bsky.app/profile/leadping.bsky.social","facebook":"https://www.facebook.com/leadpingai","youtube":"https://www.youtube.com/@leadpingai","linkedin":"https://www.linkedin.com/company/leadpingai","instagram":"https://www.instagram.com/leadpingai","github":"https://github.com/leadpingai"},"links":[{"header":"Resources","items":[{"label":"Get started","href":"https://leadping.ai/docs/get-started"},{"label":"Lead sources","href":"https://leadping.ai/docs/lead-sources"},{"label":"Compliance","href":"https://leadping.ai/docs/compliance"}]},{"header":"Developers","items":[{"label":"API reference","href":"https://leadping.ai/docs/api-reference"},{"label":"API authentication","href":"https://leadping.ai/docs/api-authentication"},{"label":"SDKs","href":"https://leadping.ai/docs/sdks/overview"}]},{"header":"Trust","items":[{"label":"Trust center","href":"https://leadping.ai/docs/trust/overview"},{"label":"Security","href":"https://leadping.ai/docs/trust/security"},{"label":"Contact","href":"https://leadping.ai/contact"}]},{"header":"Legal","items":[{"label":"Privacy policy","href":"https://leadping.ai/docs/privacy-policy"},{"label":"Terms of service","href":"https://leadping.ai/docs/terms-of-service"},{"label":"Acceptable use","href":"https://leadping.ai/docs/acceptable-use"}]}]},"search":{"prompt":"Search Leadping docs..."},"seo":{"metatags":{"canonical":"https://leadping.ai/docs","robots":"index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1","googlebot":"index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1","author":"Leadping LLC","og:locale":"en_US","og:site_name":"Leadping","og:image:alt":"Leadping documentation for lead intake, messaging, calling, automations, and API workflows","twitter:site":"@leadpingai","twitter:image:alt":"Leadping documentation for lead intake, messaging, calling, automations, and API workflows"},"indexing":"navigable"},"integrations":{"gtm":{"tagId":"GTM-542C3QL3"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"metadata":{"timestamp":false},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"leadping","hasAudioNarration":false,"actualSubdomain":"leadping","customDomains":["leadping.ai"],"gitSource":{"type":"github","owner":"leadpingai","repo":"leadping-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae354725987989e1eefcb21","collectionId":"18c1c7f7-1472-413d-baf1-39706ddb9433","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae354725987989e1eefcb21"},"entitlements":{},"buildId":"6ae354725987989e1eefcb21","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"API Reference","count":162},{"language":"default","tag":"Endpoints","count":157},{"language":"default","tag":"Docs","count":36},{"language":"default","tag":"Organizations","count":19},{"language":"default","tag":"Build with Leadping","count":16},{"language":"default","tag":"Leads","count":14},{"language":"default","tag":"PhoneNumbers","count":14},{"language":"default","tag":"Automations","count":9},{"language":"default","tag":"LeadStatusChanges","count":9},{"language":"default","tag":"Security \u0026 Trust","count":8}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"html:not(.dark) .codeblock-light .line-highlight,html:not(.dark) .codeblock-light .line-highlight:after{background:#00cc9937}html:not(.dark) .codeblock-light .line-highlight:before{border-color:#55d799}html.dark .line-highlight,html.dark .line-highlight:after,html.dark .line-highlight:before,html:not(.dark) .codeblock-dark .line-highlight,html:not(.dark) .codeblock-dark .line-highlight:after,html:not(.dark) .codeblock-dark .line-highlight:before{background:#00fff61d}html.dark .line-highlight:before,html:not(.dark) .codeblock-dark .line-highlight:before{border-color:#4cd7b8}#footer a[href*=\"mintlify.com\"]{display:none!important}"}],"page":{"pagePath":"api-reference/sms/send-an-sms-message-to-an-organization-lead","slug":"/api-reference/sms/send-an-sms-message-to-an-organization-lead","pageMetadata":{"title":"Send an SMS message to an organization lead","description":"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.","deprecated":null,"version":null,"openapi":"/openapi.json post /sms/send","href":"/api-reference/sms/send-an-sms-message-to-an-organization-lead","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Send an SMS message to an organization lead","description":"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.","deprecated":null,"version":null,"openapi":"/openapi.json post /sms/send","href":"/api-reference/sms/send-an-sms-message-to-an-organization-lead","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Sms"],"summary":"Send an SMS message to an organization lead","description":"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.","operationId":"Sms_Send","requestBody":"8a59980d-ec60-438a-a742-962664b0bef4","responses":{"201":"c4f05336-2a79-43c6-86e7-9085554e98d9","400":"662894d5-768f-4b1e-a2bb-d92dc1485230","401":"ad97fb88-d009-4932-8368-2add36591076","403":"56fc0b43-1f18-4b67-a81b-db6f7a777184","429":"7702af06-bde8-47a7-b7f3-cd4e185f905f","500":"4c147b3c-248f-4771-93b3-3e4fa34a5ef6"},"security":["03b4afac-9166-4640-a6e8-cee1c20cdbdc"],"x-agentic-access":{"action-class":"acting","consequences":["physical"],"subject":{"required":true},"authorization":{"source":"OpenAPI security requirements","audience":"https://api.leadping.ai"},"audit":{"recommended":true},"reversibility":{"supported":"conditional","operation-id":"Sms_CancelScheduled","window":"While the SMS status is Scheduled and before delivery begins."}},"method":"post","type":"path","servers":["1ec7187d-b711-489a-9a40-b14a41673ecf"],"path":"/sms/send","baseUrlOptions":["https://api.leadping.ai"],"title":"Send an SMS message to an organization lead","codeSamples":[],"requestExampleLanguages":["bash","python","csharp","java","javascript","go","php"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"description":"The SMS request containing recipient and message details.","content":{"application/json":{"schema":{"type":"object","description":"Defines the fields clients can send when working with SMS send.","required":["conversationId","text"],"example":{"conversationId":"conversation-123","text":"Thanks for your interest. When is a good time to talk?","mediaUrls":[],"outboundIdempotencyKey":"sms-example-001"},"properties":{"conversationId":{"type":"string","description":"Conversation ID that links this SMS send request to the Leadping inbox thread.","isRequired":true,"uniqueKey":"conversationId","typeLabel":"string"},"text":{"type":"string","description":"Body text for the SMS message or communication represented by this SMS send request.","isRequired":true,"uniqueKey":"text","typeLabel":"string"},"smsEventId":{"oneOf":[{"type":"null","description":"Existing SMS event ID to reuse or update when retrying a send request.","uniqueKey":"smsEventId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Existing SMS event ID to reuse or update when retrying a send request.","uniqueKey":"smsEventId.oneOf.1","typeLabel":"string"}],"uniqueKey":"smsEventId","typeLabel":"null | string"},"scheduledFor":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping should send the SMS message.","format":"date-time","uniqueKey":"scheduledFor.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping should send the SMS message.","format":"date-time","uniqueKey":"scheduledFor.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"scheduledFor","typeLabel":"null | string\u003cdate-time>"},"fromPhoneNumberId":{"oneOf":[{"type":"null","description":"Sender phone number ID used for this outbound SMS or call.","uniqueKey":"fromPhoneNumberId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Sender phone number ID used for this outbound SMS or call.","uniqueKey":"fromPhoneNumberId.oneOf.1","typeLabel":"string"}],"uniqueKey":"fromPhoneNumberId","typeLabel":"null | string"},"wasManuallyOverridden":{"type":"boolean","description":"Indicates whether a user manually overrode Leadping's automatic number selection for this SMS send request.","uniqueKey":"wasManuallyOverridden","typeLabel":"boolean"},"campaignId":{"oneOf":[{"type":"null","description":"Messaging campaign identifier associated with this SMS send request.","uniqueKey":"campaignId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Messaging campaign identifier associated with this SMS send request.","uniqueKey":"campaignId.oneOf.1","typeLabel":"string"}],"uniqueKey":"campaignId","typeLabel":"null | string"},"sourceId":{"oneOf":[{"type":"null","description":"Lead source ID used for attribution and sender selection.","uniqueKey":"sourceId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Lead source ID used for attribution and sender selection.","uniqueKey":"sourceId.oneOf.1","typeLabel":"string"}],"uniqueKey":"sourceId","typeLabel":"null | string"},"mediaUrls":{"type":"array","items":{"type":"string","uniqueKey":"mediaUrls.items.[INDEX]","typeLabel":"string"},"description":"Public HTTPS media URLs to attach. Supplying at least one URL sends the message as MMS.","uniqueKey":"mediaUrls","typeLabel":"string[]"},"outboundIdempotencyKey":{"oneOf":[{"type":"null","description":"Idempotency key used to prevent duplicate outbound delivery.","uniqueKey":"outboundIdempotencyKey.oneOf.0","typeLabel":"null"},{"type":"string","description":"Idempotency key used to prevent duplicate outbound delivery.","uniqueKey":"outboundIdempotencyKey.oneOf.1","typeLabel":"string"}],"uniqueKey":"outboundIdempotencyKey","typeLabel":"null | string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"conversationId":"conversation-123","text":"Thanks for your interest. When is a good time to talk?","mediaUrls":[],"outboundIdempotencyKey":"sms-example-001"}}},"exampleType":"generated"},"application/*+json":{"schema":{"type":"object","description":"Defines the fields clients can send when working with SMS send.","required":["conversationId","text"],"example":{"conversationId":"conversation-123","text":"Thanks for your interest. When is a good time to talk?","mediaUrls":[],"outboundIdempotencyKey":"sms-example-001"},"properties":{"conversationId":{"type":"string","description":"Conversation ID that links this SMS send request to the Leadping inbox thread.","isRequired":true,"uniqueKey":"conversationId","typeLabel":"string"},"text":{"type":"string","description":"Body text for the SMS message or communication represented by this SMS send request.","isRequired":true,"uniqueKey":"text","typeLabel":"string"},"smsEventId":{"oneOf":[{"type":"null","description":"Existing SMS event ID to reuse or update when retrying a send request.","uniqueKey":"smsEventId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Existing SMS event ID to reuse or update when retrying a send request.","uniqueKey":"smsEventId.oneOf.1","typeLabel":"string"}],"uniqueKey":"smsEventId","typeLabel":"null | string"},"scheduledFor":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping should send the SMS message.","format":"date-time","uniqueKey":"scheduledFor.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping should send the SMS message.","format":"date-time","uniqueKey":"scheduledFor.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"scheduledFor","typeLabel":"null | string\u003cdate-time>"},"fromPhoneNumberId":{"oneOf":[{"type":"null","description":"Sender phone number ID used for this outbound SMS or call.","uniqueKey":"fromPhoneNumberId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Sender phone number ID used for this outbound SMS or call.","uniqueKey":"fromPhoneNumberId.oneOf.1","typeLabel":"string"}],"uniqueKey":"fromPhoneNumberId","typeLabel":"null | string"},"wasManuallyOverridden":{"type":"boolean","description":"Indicates whether a user manually overrode Leadping's automatic number selection for this SMS send request.","uniqueKey":"wasManuallyOverridden","typeLabel":"boolean"},"campaignId":{"oneOf":[{"type":"null","description":"Messaging campaign identifier associated with this SMS send request.","uniqueKey":"campaignId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Messaging campaign identifier associated with this SMS send request.","uniqueKey":"campaignId.oneOf.1","typeLabel":"string"}],"uniqueKey":"campaignId","typeLabel":"null | string"},"sourceId":{"oneOf":[{"type":"null","description":"Lead source ID used for attribution and sender selection.","uniqueKey":"sourceId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Lead source ID used for attribution and sender selection.","uniqueKey":"sourceId.oneOf.1","typeLabel":"string"}],"uniqueKey":"sourceId","typeLabel":"null | string"},"mediaUrls":{"type":"array","items":{"type":"string","uniqueKey":"mediaUrls.items.[INDEX]","typeLabel":"string"},"description":"Public HTTPS media URLs to attach. Supplying at least one URL sends the message as MMS.","uniqueKey":"mediaUrls","typeLabel":"string[]"},"outboundIdempotencyKey":{"oneOf":[{"type":"null","description":"Idempotency key used to prevent duplicate outbound delivery.","uniqueKey":"outboundIdempotencyKey.oneOf.0","typeLabel":"null"},{"type":"string","description":"Idempotency key used to prevent duplicate outbound delivery.","uniqueKey":"outboundIdempotencyKey.oneOf.1","typeLabel":"string"}],"uniqueKey":"outboundIdempotencyKey","typeLabel":"null | string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"conversationId":"conversation-123","text":"Thanks for your interest. When is a good time to talk?","mediaUrls":[],"outboundIdempotencyKey":"sms-example-001"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"c4f05336-2a79-43c6-86e7-9085554e98d9":{"description":"The SMS response was created successfully.","content":{"application/json":{"schema":{"type":"object","description":"Describes an SMS or MMS message, including participants, delivery state, scheduling, media, and billing details.","properties":{"organizationId":{"oneOf":[{"type":"null","description":"The organization receiving this message status update.","uniqueKey":"organizationId.oneOf.0","typeLabel":"null"},{"type":"string","description":"The organization receiving this message status update.","uniqueKey":"organizationId.oneOf.1","typeLabel":"string"}],"uniqueKey":"organizationId","typeLabel":"null | string"},"isDemo":{"type":"boolean","uniqueKey":"isDemo","typeLabel":"boolean"},"conversationId":{"type":"string","description":"Conversation ID that links this SMS message to the Leadping inbox thread.","uniqueKey":"conversationId","typeLabel":"string"},"leadId":{"type":"string","description":"Lead ID associated with the SMS conversation or outreach attempt.","uniqueKey":"leadId","typeLabel":"string"},"fromPhoneNumberId":{"type":"string","description":"Sender phone number ID used for this outbound SMS or call.","uniqueKey":"fromPhoneNumberId","typeLabel":"string"},"outboundPhoneNumberId":{"type":"string","description":"Phone number ID selected for outbound delivery.","uniqueKey":"outboundPhoneNumberId","typeLabel":"string"},"fromPhoneNumber":{"oneOf":[{"type":"null","description":"Sender phone number used for this communication.","uniqueKey":"fromPhoneNumber.oneOf.0","typeLabel":"null"},{"type":"string","description":"Sender phone number used for this communication.","uniqueKey":"fromPhoneNumber.oneOf.1","typeLabel":"string"}],"uniqueKey":"fromPhoneNumber","typeLabel":"null | string"},"selectionReason":{"oneOf":[{"enum":["StickyConversation","LeadAssigned","CampaignOrSource","Preferred","LocalArea","HealthyPool","FallbackDefault","ManualOverride"],"type":"null","description":"Explains why Leadping selected, rejected, or substituted an outgoing caller or messaging number.","uniqueKey":"selectionReason.oneOf.0","typeLabel":"null"},{"enum":["StickyConversation","LeadAssigned","CampaignOrSource","Preferred","LocalArea","HealthyPool","FallbackDefault","ManualOverride"],"type":"string","description":"Explains why Leadping selected, rejected, or substituted an outgoing caller or messaging number.","uniqueKey":"selectionReason.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"selectionReason","typeLabel":"null | enum\u003cstring>"},"wasManuallyOverridden":{"type":"boolean","description":"Indicates whether a user manually overrode Leadping's automatic number selection for this SMS message.","uniqueKey":"wasManuallyOverridden","typeLabel":"boolean"},"campaignId":{"oneOf":[{"type":"null","description":"Messaging campaign identifier associated with this SMS message.","uniqueKey":"campaignId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Messaging campaign identifier associated with this SMS message.","uniqueKey":"campaignId.oneOf.1","typeLabel":"string"}],"uniqueKey":"campaignId","typeLabel":"null | string"},"sourceId":{"oneOf":[{"type":"null","description":"Lead source ID used for attribution and sender selection on this SMS message.","uniqueKey":"sourceId.oneOf.0","typeLabel":"null"},{"type":"string","description":"Lead source ID used for attribution and sender selection on this SMS message.","uniqueKey":"sourceId.oneOf.1","typeLabel":"string"}],"uniqueKey":"sourceId","typeLabel":"null | string"},"text":{"type":"string","description":"Body text for the SMS message or communication represented by this SMS message.","uniqueKey":"text","typeLabel":"string"},"media":{"type":"array","items":{"type":"object","description":"Media attached to an SMS/MMS conversation event.","properties":{"fileId":{"oneOf":[{"type":"null","description":"The durable Media record containing this attachment's scanned bytes.","uniqueKey":"media.items.[INDEX].fileId.oneOf.0","typeLabel":"null"},{"type":"string","description":"The durable Media record containing this attachment's scanned bytes.","uniqueKey":"media.items.[INDEX].fileId.oneOf.1","typeLabel":"string"}],"uniqueKey":"media.items.[INDEX].fileId","typeLabel":"null | string"},"url":{"type":"string","description":"URL from which the media attachment can be retrieved.","format":"uri","uniqueKey":"media.items.[INDEX].url","typeLabel":"string\u003curi>"},"contentType":{"oneOf":[{"type":"null","description":"MIME content type of the media attachment.","uniqueKey":"media.items.[INDEX].contentType.oneOf.0","typeLabel":"null"},{"type":"string","description":"MIME content type of the media attachment.","uniqueKey":"media.items.[INDEX].contentType.oneOf.1","typeLabel":"string"}],"uniqueKey":"media.items.[INDEX].contentType","typeLabel":"null | string"},"size":{"oneOf":[{"type":"null","description":"Size of the media attachment in bytes.","format":"int64","uniqueKey":"media.items.[INDEX].size.oneOf.0","typeLabel":"null"},{"type":"integer","description":"Size of the media attachment in bytes.","format":"int64","uniqueKey":"media.items.[INDEX].size.oneOf.1","typeLabel":"integer\u003cint64>"}],"uniqueKey":"media.items.[INDEX].size","typeLabel":"null | integer\u003cint64>"},"sha256":{"oneOf":[{"type":"null","description":"SHA-256 digest of the media content, when available.","uniqueKey":"media.items.[INDEX].sha256.oneOf.0","typeLabel":"null"},{"type":"string","description":"SHA-256 digest of the media content, when available.","uniqueKey":"media.items.[INDEX].sha256.oneOf.1","typeLabel":"string"}],"uniqueKey":"media.items.[INDEX].sha256","typeLabel":"null | string"},"fileName":{"oneOf":[{"type":"null","description":"Original file name of the media attachment, when available.","uniqueKey":"media.items.[INDEX].fileName.oneOf.0","typeLabel":"null"},{"type":"string","description":"Original file name of the media attachment, when available.","uniqueKey":"media.items.[INDEX].fileName.oneOf.1","typeLabel":"string"}],"uniqueKey":"media.items.[INDEX].fileName","typeLabel":"null | string"}},"uniqueKey":"media.items.[INDEX]","typeLabel":"object"},"description":"Media attached to this message. A non-empty collection identifies an MMS message.","uniqueKey":"media","typeLabel":"object[]"},"status":{"oneOf":[{"enum":["draft","scheduled","queued","sending","sent","received","delivered","failed","undeliverable","opted_out","blocked_compliance","blocked_billing","blocked_missing_campaign","canceled"],"type":"null","description":"Describes the normalized lifecycle of an SMS or MMS message from scheduling through delivery or failure.","uniqueKey":"status.oneOf.0","typeLabel":"null"},{"enum":["draft","scheduled","queued","sending","sent","received","delivered","failed","undeliverable","opted_out","blocked_compliance","blocked_billing","blocked_missing_campaign","canceled"],"type":"string","description":"Describes the normalized lifecycle of an SMS or MMS message from scheduling through delivery or failure.","uniqueKey":"status.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"status","typeLabel":"null | enum\u003cstring>"},"statusReason":{"oneOf":[{"type":"null","description":"Human-readable reason explaining the current status of this SMS message.","uniqueKey":"statusReason.oneOf.0","typeLabel":"null"},{"type":"string","description":"Human-readable reason explaining the current status of this SMS message.","uniqueKey":"statusReason.oneOf.1","typeLabel":"string"}],"uniqueKey":"statusReason","typeLabel":"null | string"},"queuedAt":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping queued this SMS message for processing.","format":"date-time","uniqueKey":"queuedAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping queued this SMS message for processing.","format":"date-time","uniqueKey":"queuedAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"queuedAt","typeLabel":"null | string\u003cdate-time>"},"scheduledFor":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping is scheduled to send this SMS message.","format":"date-time","uniqueKey":"scheduledFor.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping is scheduled to send this SMS message.","format":"date-time","uniqueKey":"scheduledFor.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"scheduledFor","typeLabel":"null | string\u003cdate-time>"},"scheduledReason":{"oneOf":[{"type":"null","description":"Reason Leadping scheduled this delivery for a later time.","uniqueKey":"scheduledReason.oneOf.0","typeLabel":"null"},{"type":"string","description":"Reason Leadping scheduled this delivery for a later time.","uniqueKey":"scheduledReason.oneOf.1","typeLabel":"string"}],"uniqueKey":"scheduledReason","typeLabel":"null | string"},"sendingStartedAt":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping began sending this message.","format":"date-time","uniqueKey":"sendingStartedAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping began sending this message.","format":"date-time","uniqueKey":"sendingStartedAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"sendingStartedAt","typeLabel":"null | string\u003cdate-time>"},"sentAt":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping sent this message to the provider.","format":"date-time","uniqueKey":"sentAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping sent this message to the provider.","format":"date-time","uniqueKey":"sentAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"sentAt","typeLabel":"null | string\u003cdate-time>"},"deliveredAt":{"oneOf":[{"type":"null","description":"UTC timestamp when the provider confirmed delivery.","format":"date-time","uniqueKey":"deliveredAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when the provider confirmed delivery.","format":"date-time","uniqueKey":"deliveredAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"deliveredAt","typeLabel":"null | string\u003cdate-time>"},"receivedAt":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping received this inbound event or message.","format":"date-time","uniqueKey":"receivedAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping received this inbound event or message.","format":"date-time","uniqueKey":"receivedAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"receivedAt","typeLabel":"null | string\u003cdate-time>"},"failedAt":{"oneOf":[{"type":"null","description":"UTC timestamp when processing failed for this SMS message.","format":"date-time","uniqueKey":"failedAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when processing failed for this SMS message.","format":"date-time","uniqueKey":"failedAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"failedAt","typeLabel":"null | string\u003cdate-time>"},"undeliverableAt":{"oneOf":[{"type":"null","description":"UTC timestamp when the provider marked the message undeliverable.","format":"date-time","uniqueKey":"undeliverableAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when the provider marked the message undeliverable.","format":"date-time","uniqueKey":"undeliverableAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"undeliverableAt","typeLabel":"null | string\u003cdate-time>"},"blockedAt":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping blocked this communication.","format":"date-time","uniqueKey":"blockedAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping blocked this communication.","format":"date-time","uniqueKey":"blockedAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"blockedAt","typeLabel":"null | string\u003cdate-time>"},"nextRetryAt":{"oneOf":[{"type":"null","description":"UTC timestamp when Leadping will retry this SMS message.","format":"date-time","uniqueKey":"nextRetryAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when Leadping will retry this SMS message.","format":"date-time","uniqueKey":"nextRetryAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"nextRetryAt","typeLabel":"null | string\u003cdate-time>"},"retryCount":{"type":"integer","description":"Number of retry attempts already made for this SMS message.","format":"int32","uniqueKey":"retryCount","typeLabel":"integer\u003cint32>"},"canceledAt":{"oneOf":[{"type":"null","description":"UTC timestamp when this delivery or workflow was canceled.","format":"date-time","uniqueKey":"canceledAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when this delivery or workflow was canceled.","format":"date-time","uniqueKey":"canceledAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"canceledAt","typeLabel":"null | string\u003cdate-time>"},"cancelReason":{"oneOf":[{"type":"null","description":"Reason this delivery, run, or request was canceled.","uniqueKey":"cancelReason.oneOf.0","typeLabel":"null"},{"type":"string","description":"Reason this delivery, run, or request was canceled.","uniqueKey":"cancelReason.oneOf.1","typeLabel":"string"}],"uniqueKey":"cancelReason","typeLabel":"null | string"},"errorCode":{"oneOf":[{"type":"null","description":"Machine-readable error code returned while processing this SMS message.","uniqueKey":"errorCode.oneOf.0","typeLabel":"null"},{"type":"string","description":"Machine-readable error code returned while processing this SMS message.","uniqueKey":"errorCode.oneOf.1","typeLabel":"string"}],"uniqueKey":"errorCode","typeLabel":"null | string"},"errorMessage":{"oneOf":[{"type":"null","description":"Human-readable error message returned while processing this SMS message.","uniqueKey":"errorMessage.oneOf.0","typeLabel":"null"},{"type":"string","description":"Human-readable error message returned while processing this SMS message.","uniqueKey":"errorMessage.oneOf.1","typeLabel":"string"}],"uniqueKey":"errorMessage","typeLabel":"null | string"},"trafficType":{"oneOf":[{"enum":["RealLead","Warmup","Test","SystemInternal","FailedAttempt"],"type":"null","description":"Classifies messaging traffic by conversational, informational, marketing, or other compliance-relevant purpose.","uniqueKey":"trafficType.oneOf.0","typeLabel":"null"},{"enum":["RealLead","Warmup","Test","SystemInternal","FailedAttempt"],"type":"string","description":"Classifies messaging traffic by conversational, informational, marketing, or other compliance-relevant purpose.","uniqueKey":"trafficType.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"trafficType","typeLabel":"null | enum\u003cstring>"},"billableAmount":{"oneOf":[{"type":"null","description":"Monetary amount billed for this Leadping communication or transaction.","format":"double","uniqueKey":"billableAmount.oneOf.0","typeLabel":"null"},{"type":"number","description":"Monetary amount billed for this Leadping communication or transaction.","format":"double","uniqueKey":"billableAmount.oneOf.1","typeLabel":"number\u003cdouble>"}],"uniqueKey":"billableAmount","typeLabel":"null | number\u003cdouble>"},"billingStatus":{"oneOf":[{"type":"null","description":"Billing state for this communication, charge, or transaction.","uniqueKey":"billingStatus.oneOf.0","typeLabel":"null"},{"type":"string","description":"Billing state for this communication, charge, or transaction.","uniqueKey":"billingStatus.oneOf.1","typeLabel":"string"}],"uniqueKey":"billingStatus","typeLabel":"null | string"},"complianceAction":{"oneOf":[{"type":"null","description":"Compliance action applied to this message, lead, or sender.","uniqueKey":"complianceAction.oneOf.0","typeLabel":"null"},{"type":"string","description":"Compliance action applied to this message, lead, or sender.","uniqueKey":"complianceAction.oneOf.1","typeLabel":"string"}],"uniqueKey":"complianceAction","typeLabel":"null | string"},"consoleEntries":{"type":"array","items":{"type":"object","description":"Describes one durable diagnostic entry from the processing of a communication.","properties":{"id":{"type":"string","description":"Unique identifier of this diagnostic console entry.","uniqueKey":"consoleEntries.items.[INDEX].id","typeLabel":"string"},"stage":{"type":"string","description":"Communication-processing stage that produced the entry, such as validation, routing, or provider delivery.","uniqueKey":"consoleEntries.items.[INDEX].stage","typeLabel":"string"},"status":{"type":"string","description":"Outcome or state recorded for this processing stage.","uniqueKey":"consoleEntries.items.[INDEX].status","typeLabel":"string"},"message":{"type":"string","description":"User-safe diagnostic message describing what occurred at this stage.","uniqueKey":"consoleEntries.items.[INDEX].message","typeLabel":"string"},"occurredAt":{"type":"string","description":"UTC timestamp when this communication-processing event occurred.","format":"date-time","uniqueKey":"consoleEntries.items.[INDEX].occurredAt","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"consoleEntries.items.[INDEX]","typeLabel":"object"},"description":"Ordered diagnostic entries recorded while Leadping processed this message.","uniqueKey":"consoleEntries","typeLabel":"object[]"},"id":{"type":"string","description":"Stable unique identifier of the resource.","uniqueKey":"id","typeLabel":"string"},"createdAt":{"type":"string","description":"UTC timestamp when the resource was created.","format":"date-time","uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"modifiedAt":{"oneOf":[{"type":"null","description":"UTC timestamp when the resource was last modified, or null when it has not been updated.","format":"date-time","uniqueKey":"modifiedAt.oneOf.0","typeLabel":"null"},{"type":"string","description":"UTC timestamp when the resource was last modified, or null when it has not been updated.","format":"date-time","uniqueKey":"modifiedAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"uniqueKey":"modifiedAt","typeLabel":"null | string\u003cdate-time>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"organizationId":"\u003cstring>","isDemo":true,"conversationId":"\u003cstring>","leadId":"\u003cstring>","fromPhoneNumberId":"\u003cstring>","outboundPhoneNumberId":"\u003cstring>","fromPhoneNumber":"\u003cstring>","selectionReason":"StickyConversation","wasManuallyOverridden":true,"campaignId":"\u003cstring>","sourceId":"\u003cstring>","text":"\u003cstring>","media":[{"fileId":"\u003cstring>","url":"\u003cstring>","contentType":"\u003cstring>","size":123,"sha256":"\u003cstring>","fileName":"\u003cstring>"}],"status":"draft","statusReason":"\u003cstring>","queuedAt":"2023-11-07T05:31:56Z","scheduledFor":"2023-11-07T05:31:56Z","scheduledReason":"\u003cstring>","sendingStartedAt":"2023-11-07T05:31:56Z","sentAt":"2023-11-07T05:31:56Z","deliveredAt":"2023-11-07T05:31:56Z","receivedAt":"2023-11-07T05:31:56Z","failedAt":"2023-11-07T05:31:56Z","undeliverableAt":"2023-11-07T05:31:56Z","blockedAt":"2023-11-07T05:31:56Z","nextRetryAt":"2023-11-07T05:31:56Z","retryCount":123,"canceledAt":"2023-11-07T05:31:56Z","cancelReason":"\u003cstring>","errorCode":"\u003cstring>","errorMessage":"\u003cstring>","trafficType":"RealLead","billableAmount":123,"billingStatus":"\u003cstring>","complianceAction":"\u003cstring>","consoleEntries":[{"id":"\u003cstring>","stage":"\u003cstring>","status":"\u003cstring>","message":"\u003cstring>","occurredAt":"2023-11-07T05:31:56Z"}],"id":"\u003cstring>","createdAt":"2023-11-07T05:31:56Z","modifiedAt":"2023-11-07T05:31:56Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"662894d5-768f-4b1e-a2bb-d92dc1485230":{"description":"The request was invalid or malformed.","content":{"application/problem+json":{"schema":{"type":"object","description":"Standard problem-details response containing machine-readable and human-readable information about an HTTP API error.","properties":{"type":{"oneOf":[{"type":"null","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.1","typeLabel":"string"}],"uniqueKey":"type","typeLabel":"null | string"},"title":{"oneOf":[{"type":"null","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"null"},{"type":"string","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"string"}],"uniqueKey":"title","typeLabel":"null | string"},"status":{"oneOf":[{"type":"null","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"null"},{"type":"integer","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"integer\u003cint32>"}],"uniqueKey":"status","typeLabel":"null | integer\u003cint32>"},"detail":{"oneOf":[{"type":"null","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.0","typeLabel":"null"},{"type":"string","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.1","typeLabel":"string"}],"uniqueKey":"detail","typeLabel":"null | string"},"instance":{"oneOf":[{"type":"null","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"string"}],"uniqueKey":"instance","typeLabel":"null | string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"errors.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.additionalProperties","typeLabel":"string[]"},"description":"Validation errors keyed by the JSON request field name. Present for request validation failures.","uniqueKey":"errors","typeLabel":"object"},"traceId":{"type":"string","description":"Request trace identifier used to correlate this problem with Leadping diagnostics.","uniqueKey":"traceId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"about:blank","title":"Bad Request","status":400,"detail":"The request could not be completed."},"examples":{"Example":{"title":"Example","value":{"type":"about:blank","title":"Bad Request","status":400,"detail":"The request could not be completed."}}},"exampleType":"examples"}},"exampleType":"examples"},"ad97fb88-d009-4932-8368-2add36591076":{"description":"Authentication credentials are missing or invalid.","content":{"application/problem+json":{"schema":{"type":"object","description":"Standard problem-details response containing machine-readable and human-readable information about an HTTP API error.","properties":{"type":{"oneOf":[{"type":"null","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.1","typeLabel":"string"}],"uniqueKey":"type","typeLabel":"null | string"},"title":{"oneOf":[{"type":"null","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"null"},{"type":"string","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"string"}],"uniqueKey":"title","typeLabel":"null | string"},"status":{"oneOf":[{"type":"null","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"null"},{"type":"integer","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"integer\u003cint32>"}],"uniqueKey":"status","typeLabel":"null | integer\u003cint32>"},"detail":{"oneOf":[{"type":"null","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.0","typeLabel":"null"},{"type":"string","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.1","typeLabel":"string"}],"uniqueKey":"detail","typeLabel":"null | string"},"instance":{"oneOf":[{"type":"null","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"string"}],"uniqueKey":"instance","typeLabel":"null | string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"errors.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.additionalProperties","typeLabel":"string[]"},"description":"Validation errors keyed by the JSON request field name. Present for request validation failures.","uniqueKey":"errors","typeLabel":"object"},"traceId":{"type":"string","description":"Request trace identifier used to correlate this problem with Leadping diagnostics.","uniqueKey":"traceId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"about:blank","title":"Unauthorized","status":401,"detail":"The request could not be completed."},"examples":{"Example":{"title":"Example","value":{"type":"about:blank","title":"Unauthorized","status":401,"detail":"The request could not be completed."}}},"exampleType":"examples"}},"exampleType":"examples"},"56fc0b43-1f18-4b67-a81b-db6f7a777184":{"description":"The authenticated user or organization does not have permission to perform this operation.","content":{"application/problem+json":{"schema":{"type":"object","description":"Standard problem-details response containing machine-readable and human-readable information about an HTTP API error.","properties":{"type":{"oneOf":[{"type":"null","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.1","typeLabel":"string"}],"uniqueKey":"type","typeLabel":"null | string"},"title":{"oneOf":[{"type":"null","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"null"},{"type":"string","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"string"}],"uniqueKey":"title","typeLabel":"null | string"},"status":{"oneOf":[{"type":"null","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"null"},{"type":"integer","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"integer\u003cint32>"}],"uniqueKey":"status","typeLabel":"null | integer\u003cint32>"},"detail":{"oneOf":[{"type":"null","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.0","typeLabel":"null"},{"type":"string","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.1","typeLabel":"string"}],"uniqueKey":"detail","typeLabel":"null | string"},"instance":{"oneOf":[{"type":"null","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"string"}],"uniqueKey":"instance","typeLabel":"null | string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"errors.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.additionalProperties","typeLabel":"string[]"},"description":"Validation errors keyed by the JSON request field name. Present for request validation failures.","uniqueKey":"errors","typeLabel":"object"},"traceId":{"type":"string","description":"Request trace identifier used to correlate this problem with Leadping diagnostics.","uniqueKey":"traceId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"about:blank","title":"Forbidden","status":403,"detail":"The request could not be completed."},"examples":{"Example":{"title":"Example","value":{"type":"about:blank","title":"Forbidden","status":403,"detail":"The request could not be completed."}}},"exampleType":"examples"}},"exampleType":"examples"},"7702af06-bde8-47a7-b7f3-cd4e185f905f":{"description":"The API rate limit for this account or client has been exceeded.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying the request.","schema":{"minimum":0,"type":"integer","format":"int32"}}},"content":{"application/problem+json":{"schema":{"type":"object","description":"Standard problem-details response containing machine-readable and human-readable information about an HTTP API error.","properties":{"type":{"oneOf":[{"type":"null","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.1","typeLabel":"string"}],"uniqueKey":"type","typeLabel":"null | string"},"title":{"oneOf":[{"type":"null","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"null"},{"type":"string","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"string"}],"uniqueKey":"title","typeLabel":"null | string"},"status":{"oneOf":[{"type":"null","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"null"},{"type":"integer","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"integer\u003cint32>"}],"uniqueKey":"status","typeLabel":"null | integer\u003cint32>"},"detail":{"oneOf":[{"type":"null","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.0","typeLabel":"null"},{"type":"string","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.1","typeLabel":"string"}],"uniqueKey":"detail","typeLabel":"null | string"},"instance":{"oneOf":[{"type":"null","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"string"}],"uniqueKey":"instance","typeLabel":"null | string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"errors.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.additionalProperties","typeLabel":"string[]"},"description":"Validation errors keyed by the JSON request field name. Present for request validation failures.","uniqueKey":"errors","typeLabel":"object"},"traceId":{"type":"string","description":"Request trace identifier used to correlate this problem with Leadping diagnostics.","uniqueKey":"traceId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"about:blank","title":"Too Many Requests","status":429,"detail":"The request could not be completed."},"examples":{"Example":{"title":"Example","value":{"type":"about:blank","title":"Too Many Requests","status":429,"detail":"The request could not be completed."}}},"exampleType":"examples"}},"exampleType":"examples"},"4c147b3c-248f-4771-93b3-3e4fa34a5ef6":{"description":"An internal server error occurred.","content":{"application/problem+json":{"schema":{"type":"object","description":"Standard problem-details response containing machine-readable and human-readable information about an HTTP API error.","properties":{"type":{"oneOf":[{"type":"null","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies the problem type.","uniqueKey":"type.oneOf.1","typeLabel":"string"}],"uniqueKey":"type","typeLabel":"null | string"},"title":{"oneOf":[{"type":"null","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"null"},{"type":"string","description":"Short, human-readable summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"string"}],"uniqueKey":"title","typeLabel":"null | string"},"status":{"oneOf":[{"type":"null","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"null"},{"type":"integer","description":"HTTP status code returned for the problem.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"integer\u003cint32>"}],"uniqueKey":"status","typeLabel":"null | integer\u003cint32>"},"detail":{"oneOf":[{"type":"null","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.0","typeLabel":"null"},{"type":"string","description":"Human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail.oneOf.1","typeLabel":"string"}],"uniqueKey":"detail","typeLabel":"null | string"},"instance":{"oneOf":[{"type":"null","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"null"},{"type":"string","description":"URI reference that identifies this specific occurrence of the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"string"}],"uniqueKey":"instance","typeLabel":"null | string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"errors.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.additionalProperties","typeLabel":"string[]"},"description":"Validation errors keyed by the JSON request field name. Present for request validation failures.","uniqueKey":"errors","typeLabel":"object"},"traceId":{"type":"string","description":"Request trace identifier used to correlate this problem with Leadping diagnostics.","uniqueKey":"traceId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"about:blank","title":"Internal Server Error","status":500,"detail":"The request could not be completed."},"examples":{"Example":{"title":"Example","value":{"type":"about:blank","title":"Internal Server Error","status":500,"detail":"The request could not be completed."}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"03b4afac-9166-4640-a6e8-cee1c20cdbdc":{"Bearer":{"type":"http","description":"Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.","scheme":"bearer","bearerFormat":"JWT or organization API key","scopes":[],"schemeName":"Bearer"}}},"servers":{"1ec7187d-b711-489a-9a40-b14a41673ecf":{"url":"https://api.leadping.ai","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.","scheme":"bearer","bearerFormat":"JWT or organization API key","scopes":[],"schemeName":"Bearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Bearer","name":"Authorization"}],"title":"Bearer"}]},"originalFileLocation":"openapi.json"},"subdomain":"leadping","siteName":"Leadping","title":"Send an SMS message to an organization lead - Leadping","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T14:13:29.673Z","originalFileLocation":"api-reference/sms/send-an-sms-message-to-an-organization-lead.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Leadping\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Send an SMS message to an organization lead - Leadping\">\u003cmeta data-mint-head property=\"og:description\" content=\"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Leadping\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://leadping.mintlify.app/_mintlify/api/og/v2?division=Sms\u0026amp;title=Send+an+SMS+message+to+an+organization+lead\u0026amp;description=Sends+an+SMS+message+to+a+lead+or+phone+number%2C+applying+current-organization+sender+selection%2C+scheduling%2C+and+delivery+rules.\u0026amp;theme=a1a74c0210c6c25341e908b5\u0026amp;signature=be9b936ae4b4423377bfa7adbe87eedc1b63718351ec8d013c14ef7fc5100848\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Send an SMS message to an organization lead - Leadping\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://leadping.mintlify.app/_mintlify/api/og/v2?division=Sms\u0026amp;title=Send+an+SMS+message+to+an+organization+lead\u0026amp;description=Sends+an+SMS+message+to+a+lead+or+phone+number%2C+applying+current-organization+sender+selection%2C+scheduling%2C+and+delivery+rules.\u0026amp;theme=a1a74c0210c6c25341e908b5\u0026amp;signature=be9b936ae4b4423377bfa7adbe87eedc1b63718351ec8d013c14ef7fc5100848\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/leadping/pxQUC5Q_WToIhivI/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Leadping\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003cmeta data-mint-head name=\"og:locale\" content=\"en_US\">\u003cmeta data-mint-head name=\"googlebot\" content=\"index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1\">\u003cmeta data-mint-head name=\"author\" content=\"Leadping LLC\">\u003cmeta data-mint-head name=\"og:image:alt\" content=\"Leadping documentation for lead intake, messaging, calling, automations, and API workflows\">\u003cmeta data-mint-head name=\"twitter:image:alt\" content=\"Leadping documentation for lead intake, messaging, calling, automations, and API workflows\">\u003clink data-mint-head rel=\"canonical\" href=\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://leadping.ai/#organization\",\"name\":\"Leadping\",\"url\":\"https://leadping.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/leadping/yMlelAk-g4uUa1lX/logo/leadpinglogo-transparent.png?fit=max\u0026auto=format\u0026n=yMlelAk-g4uUa1lX\u0026q=85\u0026s=fa5b3d3b67d1041e6581e437e1337faa\"}},{\"@type\":\"WebSite\",\"@id\":\"https://leadping.ai/docs#website\",\"name\":\"Leadping\",\"url\":\"https://leadping.ai/docs\",\"publisher\":{\"@id\":\"https://leadping.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead#webpage\",\"url\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead\",\"name\":\"Send an SMS message to an organization lead\",\"description\":\"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.\",\"dateModified\":\"2026-10-29T14:13:29.673Z\",\"isPartOf\":{\"@id\":\"https://leadping.ai/docs#website\"},\"breadcrumb\":{\"@id\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://leadping.ai/docs/api-reference/leadpingapi/get-the-leadping-a2a-agent-card\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Send an SMS message to an organization lead\",\"item\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead#apireference\",\"headline\":\"Send an SMS message to an organization lead\",\"name\":\"Send an SMS message to an organization lead\",\"description\":\"Sends an SMS message to a lead or phone number, applying current-organization sender selection, scheduling, and delivery rules.\",\"url\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead\",\"mainEntityOfPage\":{\"@id\":\"https://leadping.ai/docs/api-reference/sms/send-an-sms-message-to-an-organization-lead#webpage\"},\"dateModified\":\"2026-10-29T14:13:29.673Z\",\"publisher\":{\"@id\":\"https://leadping.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://leadping.ai/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Leadping\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Leadping","nav":{"global":{"anchors":[]},"tabs":[{"tab":"Docs","pages":[{"title":"Docs","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Overview","pages":[{"title":"Leadping API Reference","sidebarTitle":"API Overview","href":"/api-reference"}]},{"group":"Endpoints","pages":[{"group":"Leadping.Api","pages":[{"title":"Get the Leadping A2A Agent Card","deprecated":null,"version":null,"openapi":"/openapi.json get /.well-known/agent-card.json","href":"/api-reference/leadpingapi/get-the-leadping-a2a-agent-card"},{"title":"Handle an A2A request","deprecated":null,"version":null,"openapi":"/openapi.json post /a2a","href":"/api-reference/leadpingapi/handle-an-a2a-request"}]},{"group":"Analytics","pages":[{"title":"Get organization lead communication analytics","deprecated":null,"version":null,"openapi":"/openapi.json get /analytics/my","href":"/api-reference/analytics/get-organization-lead-communication-analytics"},{"title":"Export organization analytics.","deprecated":null,"version":null,"openapi":"/openapi.json get /analytics/my/export","href":"/api-reference/analytics/export-organization-analytics"}]},{"group":"Automations","pages":[{"title":"Create an organization lead follow-up automation","deprecated":null,"version":null,"openapi":"/openapi.json post /automations","href":"/api-reference/automations/create-an-organization-lead-follow-up-automation"},{"title":"Get an organization lead follow-up automation","deprecated":null,"version":null,"openapi":"/openapi.json get /automations/{id}","href":"/api-reference/automations/get-an-organization-lead-follow-up-automation"},{"title":"Update an organization lead follow-up automation","deprecated":null,"version":null,"openapi":"/openapi.json put /automations/{id}","href":"/api-reference/automations/update-an-organization-lead-follow-up-automation"},{"title":"Delete an organization lead follow-up automation","deprecated":null,"version":null,"openapi":"/openapi.json delete /automations/{id}","href":"/api-reference/automations/delete-an-organization-lead-follow-up-automation"},{"title":"List automation runs.","deprecated":null,"version":null,"openapi":"/openapi.json get /automations/{id}/runs","href":"/api-reference/automations/list-automation-runs"},{"title":"Get an automation run.","deprecated":null,"version":null,"openapi":"/openapi.json get /automations/{id}/runs/{runId}","href":"/api-reference/automations/get-an-automation-run"},{"title":"List organization lead follow-up automations","deprecated":null,"version":null,"openapi":"/openapi.json post /automations/all/my","href":"/api-reference/automations/list-organization-lead-follow-up-automations"},{"title":"Preview a lead follow-up automation","deprecated":null,"version":null,"openapi":"/openapi.json post /automations/preview","href":"/api-reference/automations/preview-a-lead-follow-up-automation"},{"title":"Runs an automation through its Manual trigger.","deprecated":null,"version":null,"openapi":"/openapi.json post /automations/{id}/run","href":"/api-reference/automations/runs-an-automation-through-its-manual-trigger"}]},{"group":"BlogArticles","pages":[{"title":"Lists published blog articles.","deprecated":null,"version":null,"openapi":"/openapi.json get /blog","href":"/api-reference/blogarticles/lists-published-blog-articles"},{"title":"Gets a published blog article by slug.","deprecated":null,"version":null,"openapi":"/openapi.json get /blog/{slug}","href":"/api-reference/blogarticles/gets-a-published-blog-article-by-slug"}]},{"group":"Conversations","pages":[{"title":"List current user's inbox conversations","deprecated":null,"version":null,"openapi":"/openapi.json post /conversations/my","href":"/api-reference/conversations/list-current-users-inbox-conversations"},{"title":"Get an inbox conversation.","deprecated":null,"version":null,"openapi":"/openapi.json get /conversations/{id}","href":"/api-reference/conversations/get-an-inbox-conversation"},{"title":"Preview SMS or call sender readiness for an accessible conversation.","deprecated":null,"version":null,"openapi":"/openapi.json get /conversations/{id}/outbound-readiness","href":"/api-reference/conversations/preview-sms-or-call-sender-readiness-for-an-accessible-conversation"},{"title":"Marks an inbox conversation as read.","deprecated":null,"version":null,"openapi":"/openapi.json post /conversations/{id}/mark-read","href":"/api-reference/conversations/marks-an-inbox-conversation-as-read"},{"title":"Mark a customer reply as handled.","deprecated":null,"version":null,"openapi":"/openapi.json post /conversations/{id}/mark-handled","href":"/api-reference/conversations/mark-a-customer-reply-as-handled"},{"title":"Mark an accessible conversation as requiring a reply at the observed reply version.","deprecated":null,"version":null,"openapi":"/openapi.json post /conversations/{id}/mark-reply-needed","href":"/api-reference/conversations/mark-an-accessible-conversation-as-requiring-a-reply-at-the-observed-reply-version"},{"title":"List inbox conversations for a lead","deprecated":null,"version":null,"openapi":"/openapi.json post /conversations/lead/{leadId}","href":"/api-reference/conversations/list-inbox-conversations-for-a-lead"}]},{"group":"Feedback","pages":[{"title":"Create product feedback for an organization","deprecated":null,"version":null,"openapi":"/openapi.json post /feedback","href":"/api-reference/feedback/create-product-feedback-for-an-organization"}]},{"group":"Leads","pages":[{"title":"Create a lead record from an external source","deprecated":null,"version":null,"openapi":"/openapi.json post /leads","href":"/api-reference/leads/create-a-lead-record-from-an-external-source"},{"title":"Create a lead record from intake payload","deprecated":null,"version":null,"openapi":"/openapi.json post /leads/intake","href":"/api-reference/leads/create-a-lead-record-from-intake-payload"},{"title":"Queues a fresh, billable phone identity lookup for an accessible lead.","deprecated":null,"version":null,"openapi":"/openapi.json post /leads/{id}/phone-lookup","href":"/api-reference/leads/queues-a-fresh-billable-phone-identity-lookup-for-an-accessible-lead"},{"title":"Get an organization lead record for current user","deprecated":null,"version":null,"openapi":"/openapi.json get /leads/{id}","href":"/api-reference/leads/get-an-organization-lead-record-for-current-user"},{"title":"Update an organization lead record and status","deprecated":null,"version":null,"openapi":"/openapi.json put /leads/{id}","href":"/api-reference/leads/update-an-organization-lead-record-and-status"},{"title":"Delete an organization lead record by ID","deprecated":null,"version":null,"openapi":"/openapi.json delete /leads/{id}","href":"/api-reference/leads/delete-an-organization-lead-record-by-id"},{"title":"Get a lead automation workflow status","deprecated":null,"version":null,"openapi":"/openapi.json get /leads/{id}/workflow-status","href":"/api-reference/leads/get-a-lead-automation-workflow-status"},{"title":"Archive an organization lead record by ID","deprecated":null,"version":null,"openapi":"/openapi.json post /leads/{id}/archive","href":"/api-reference/leads/archive-an-organization-lead-record-by-id"},{"title":"Unarchive an organization lead record by ID","deprecated":null,"version":null,"openapi":"/openapi.json post /leads/{id}/unarchive","href":"/api-reference/leads/unarchive-an-organization-lead-record-by-id"},{"title":"List organization lead records for current user","deprecated":null,"version":null,"openapi":"/openapi.json post /leads/all/my","href":"/api-reference/leads/list-organization-lead-records-for-current-user"},{"title":"Replace organization tags on a lead record","deprecated":null,"version":null,"openapi":"/openapi.json put /leads/{id}/tags","href":"/api-reference/leads/replace-organization-tags-on-a-lead-record"},{"title":"Add organization tags to a lead record by ID","deprecated":null,"version":null,"openapi":"/openapi.json post /leads/{id}/tags","href":"/api-reference/leads/add-organization-tags-to-a-lead-record-by-id"},{"title":"Remove an organization tag from a lead record","deprecated":null,"version":null,"openapi":"/openapi.json delete /leads/{id}/tags/{tagId}","href":"/api-reference/leads/remove-an-organization-tag-from-a-lead-record"},{"title":"Update lead assignment.","deprecated":null,"version":null,"openapi":"/openapi.json put /leads/{id}/assignment","href":"/api-reference/leads/update-lead-assignment"}]},{"group":"LeadStatusChanges","pages":[{"title":"Set a lead's current status","deprecated":null,"version":null,"openapi":"/openapi.json put /leads/{leadId}/status","href":"/api-reference/leadstatuschanges/set-a-leads-current-status"},{"title":"Get a lead status history entry","deprecated":null,"version":null,"openapi":"/openapi.json get /lead-status-changes/{id}","href":"/api-reference/leadstatuschanges/get-a-lead-status-history-entry"},{"title":"Update a lead status history entry","deprecated":null,"version":null,"openapi":"/openapi.json put /lead-status-changes/{id}","href":"/api-reference/leadstatuschanges/update-a-lead-status-history-entry"},{"title":"Delete a lead status history entry","deprecated":null,"version":null,"openapi":"/openapi.json delete /lead-status-changes/{id}","href":"/api-reference/leadstatuschanges/delete-a-lead-status-history-entry"},{"title":"List current-organization lead status history","deprecated":null,"version":null,"openapi":"/openapi.json post /lead-status-changes/all/my","href":"/api-reference/leadstatuschanges/list-current-organization-lead-status-history"},{"title":"List a lead's status history","deprecated":null,"version":null,"openapi":"/openapi.json get /leads/{leadId}/status-history","href":"/api-reference/leadstatuschanges/list-a-leads-status-history"},{"title":"Export a lead's status history","deprecated":null,"version":null,"openapi":"/openapi.json get /leads/{leadId}/status-history/export","href":"/api-reference/leadstatuschanges/export-a-leads-status-history"},{"title":"List due follow-ups.","deprecated":null,"version":null,"openapi":"/openapi.json get /leads/follow-ups","href":"/api-reference/leadstatuschanges/list-due-follow-ups"},{"title":"Update a lead follow-up.","deprecated":null,"version":null,"openapi":"/openapi.json put /leads/{leadId}/follow-up","href":"/api-reference/leadstatuschanges/update-a-lead-follow-up"}]},{"group":"LeadStatuses","pages":[{"title":"List the current organization's lead statuses","deprecated":null,"version":null,"openapi":"/openapi.json get /lead-statuses","href":"/api-reference/leadstatuses/list-the-current-organizations-lead-statuses"},{"title":"Create an organization lead status","deprecated":null,"version":null,"openapi":"/openapi.json post /lead-statuses","href":"/api-reference/leadstatuses/create-an-organization-lead-status"},{"title":"Update an organization lead status","deprecated":null,"version":null,"openapi":"/openapi.json put /lead-statuses/{id}","href":"/api-reference/leadstatuses/update-an-organization-lead-status"},{"title":"Archive an organization lead status","deprecated":null,"version":null,"openapi":"/openapi.json delete /lead-statuses/{id}","href":"/api-reference/leadstatuses/archive-an-organization-lead-status"}]},{"group":"Notifications","pages":[{"title":"Get a current-user notification","deprecated":null,"version":null,"openapi":"/openapi.json get /notifications/{id}","href":"/api-reference/notifications/get-a-current-user-notification"},{"title":"List notifications for current user","deprecated":null,"version":null,"openapi":"/openapi.json post /notifications/me","href":"/api-reference/notifications/list-notifications-for-current-user"},{"title":"Get unread notifications for current user","deprecated":null,"version":null,"openapi":"/openapi.json get /notifications/unread-count","href":"/api-reference/notifications/get-unread-notifications-for-current-user"},{"title":"Mark a current-user notification as read","deprecated":null,"version":null,"openapi":"/openapi.json post /notifications/{id}/mark-read","href":"/api-reference/notifications/mark-a-current-user-notification-as-read"},{"title":"Mark all current-user notifications as read","deprecated":null,"version":null,"openapi":"/openapi.json post /notifications/mark-all-read","href":"/api-reference/notifications/mark-all-current-user-notifications-as-read"},{"title":"List announcements for current user","deprecated":null,"version":null,"openapi":"/openapi.json post /notifications/announcements","href":"/api-reference/notifications/list-announcements-for-current-user"}]},{"group":"OutboundDelivery","pages":[{"title":"Get organization outbound delivery overview","deprecated":null,"version":null,"openapi":"/openapi.json get /outbound/overview","href":"/api-reference/outbounddelivery/get-organization-outbound-delivery-overview"},{"title":"Gets outbound capacity for a phone number in the current organization.","deprecated":null,"version":null,"openapi":"/openapi.json get /outbound/{phoneNumberId}/capacity","href":"/api-reference/outbounddelivery/gets-outbound-capacity-for-a-phone-number-in-the-current-organization"}]},{"group":"Sources","pages":[{"title":"Create an organization lead intake source","deprecated":null,"version":null,"openapi":"/openapi.json post /sources","href":"/api-reference/sources/create-an-organization-lead-intake-source"},{"title":"Get an organization lead intake source by ID","deprecated":null,"version":null,"openapi":"/openapi.json get /sources/{id}","href":"/api-reference/sources/get-an-organization-lead-intake-source-by-id"},{"title":"Update an organization lead intake source","deprecated":null,"version":null,"openapi":"/openapi.json put /sources/{id}","href":"/api-reference/sources/update-an-organization-lead-intake-source"},{"title":"Delete an organization lead intake source","deprecated":null,"version":null,"openapi":"/openapi.json delete /sources/{id}","href":"/api-reference/sources/delete-an-organization-lead-intake-source"},{"title":"Rotate a source intake credential.","deprecated":null,"version":null,"openapi":"/openapi.json post /sources/{id}/credentials/rotate","href":"/api-reference/sources/rotate-a-source-intake-credential"},{"title":"List organization lead intake sources for user","deprecated":null,"version":null,"openapi":"/openapi.json post /sources/all/my","href":"/api-reference/sources/list-organization-lead-intake-sources-for-user"},{"title":"Get lead metrics for a source","deprecated":null,"version":null,"openapi":"/openapi.json get /sources/{id}/metrics","href":"/api-reference/sources/get-lead-metrics-for-a-source"}]},{"group":"Suppressions","pages":[{"title":"Create or reactivate a recipient suppression","deprecated":null,"version":null,"openapi":"/openapi.json post /suppressions","href":"/api-reference/suppressions/create-or-reactivate-a-recipient-suppression"},{"title":"Release an active recipient suppression","deprecated":null,"version":null,"openapi":"/openapi.json post /suppressions/release","href":"/api-reference/suppressions/release-an-active-recipient-suppression"},{"title":"Check whether a recipient is suppressed","deprecated":null,"version":null,"openapi":"/openapi.json post /suppressions/check","href":"/api-reference/suppressions/check-whether-a-recipient-is-suppressed"},{"title":"List current-organization suppression entries","deprecated":null,"version":null,"openapi":"/openapi.json post /suppressions/all/my","href":"/api-reference/suppressions/list-current-organization-suppression-entries"},{"title":"Get an organization suppression entry","deprecated":null,"version":null,"openapi":"/openapi.json get /suppressions/{id}","href":"/api-reference/suppressions/get-an-organization-suppression-entry"}]},{"group":"Tags","pages":[{"title":"List organization lead segmentation tags","deprecated":null,"version":null,"openapi":"/openapi.json get /tags","href":"/api-reference/tags/list-organization-lead-segmentation-tags"},{"title":"Create an organization lead segmentation tag","deprecated":null,"version":null,"openapi":"/openapi.json post /tags","href":"/api-reference/tags/create-an-organization-lead-segmentation-tag"},{"title":"Update an organization lead segmentation tag","deprecated":null,"version":null,"openapi":"/openapi.json put /tags/{id}","href":"/api-reference/tags/update-an-organization-lead-segmentation-tag"},{"title":"Archive an organization lead segmentation tag","deprecated":null,"version":null,"openapi":"/openapi.json delete /tags/{id}","href":"/api-reference/tags/archive-an-organization-lead-segmentation-tag"}]},{"group":"Users","pages":[{"title":"Get current user's billing payment method","deprecated":null,"version":null,"openapi":"/openapi.json get /users/me/paymentmethod","href":"/api-reference/users/get-current-users-billing-payment-method"},{"title":"Get current user account profile details","deprecated":null,"version":null,"openapi":"/openapi.json get /users/me","href":"/api-reference/users/get-current-user-account-profile-details"},{"title":"Update current user account profile","deprecated":null,"version":null,"openapi":"/openapi.json put /users/me","href":"/api-reference/users/update-current-user-account-profile"},{"title":"Update notification preferences.","deprecated":null,"version":null,"openapi":"/openapi.json put /users/me/notification-preferences","href":"/api-reference/users/update-notification-preferences"},{"title":"Change the current user's billing plan","deprecated":null,"version":null,"openapi":"/openapi.json put /users/change-billing-plan","href":"/api-reference/users/change-the-current-users-billing-plan"},{"title":"Update current user compliance settings","deprecated":null,"version":null,"openapi":"/openapi.json put /users/compliance","href":"/api-reference/users/update-current-user-compliance-settings"}]},{"group":"Calls","pages":[{"title":"Initiate a Leadping phone call","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-call/initiate","href":"/api-reference/calls/initiate-a-leadping-phone-call"},{"title":"End an active Leadping phone call","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-call/{callId}/hangup","href":"/api-reference/calls/end-an-active-leadping-phone-call"},{"title":"Get the status of a Leadping phone call","deprecated":null,"version":null,"openapi":"/openapi.json get /phone-call/{callId}/status","href":"/api-reference/calls/get-the-status-of-a-leadping-phone-call"},{"title":"Transfer an active Leadping phone call","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-call/{callId}/transfer","href":"/api-reference/calls/transfer-an-active-leadping-phone-call"}]},{"group":"PhoneNumbers","pages":[{"title":"Search purchasable organization phone numbers","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers/search","href":"/api-reference/phonenumbers/search-purchasable-organization-phone-numbers"},{"title":"List current-organization phone numbers","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers/all/organization","href":"/api-reference/phonenumbers/list-current-organization-phone-numbers"},{"title":"Select conversation sender number","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers/outgoing/conversation/{conversationId}","href":"/api-reference/phonenumbers/select-conversation-sender-number"},{"title":"Select new lead sender number","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers/outgoing/new","href":"/api-reference/phonenumbers/select-new-lead-sender-number"},{"title":"Validate sender number override","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers/outgoing/manual-override","href":"/api-reference/phonenumbers/validate-sender-number-override"},{"title":"Set sender number override","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers/outgoing/conversation/{conversationId}/override","href":"/api-reference/phonenumbers/set-sender-number-override"},{"title":"Clear sender number override","deprecated":null,"version":null,"openapi":"/openapi.json delete /phone-numbers/outgoing/conversation/{conversationId}/override","href":"/api-reference/phonenumbers/clear-sender-number-override"},{"title":"Get organization phone number details by ID","deprecated":null,"version":null,"openapi":"/openapi.json get /phone-numbers/{phoneNumberId}","href":"/api-reference/phonenumbers/get-organization-phone-number-details-by-id"},{"title":"Update organization phone number settings","deprecated":null,"version":null,"openapi":"/openapi.json put /phone-numbers/{phoneNumberId}","href":"/api-reference/phonenumbers/update-organization-phone-number-settings"},{"title":"Delete an organization phone number by ID","deprecated":null,"version":null,"openapi":"/openapi.json delete /phone-numbers/{phoneNumberId}","href":"/api-reference/phonenumbers/delete-an-organization-phone-number-by-id"},{"title":"Create an organization phone number for messaging","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers","href":"/api-reference/phonenumbers/create-an-organization-phone-number-for-messaging"},{"title":"Get organization phone number provider status","deprecated":null,"version":null,"openapi":"/openapi.json get /phone-numbers/{phoneNumber}/status","href":"/api-reference/phonenumbers/get-organization-phone-number-provider-status"},{"title":"Get organization phone number warmup status","deprecated":null,"version":null,"openapi":"/openapi.json get /phone-numbers/{phoneNumberId}/warmup","href":"/api-reference/phonenumbers/get-organization-phone-number-warmup-status"},{"title":"Check phone number purchase availability","description":"Checks whether a phone number can be purchased for the current organization before creating or assigning it.","deprecated":null,"version":null,"openapi":"/openapi.json post /phone-numbers/is-available-for-purchase","href":"/api-reference/phonenumbers/check-phone-number-purchase-availability"}]},{"group":"Sms","pages":[{"title":"Send an SMS message to an organization lead","deprecated":null,"version":null,"openapi":"/openapi.json post /sms/send","href":"/api-reference/sms/send-an-sms-message-to-an-organization-lead"},{"title":"Upload media for an MMS message","description":"Uploads and validates one media attachment, returning the metadata needed to include the asset in a subsequent Leadping MMS send.","deprecated":null,"version":null,"openapi":"/openapi.json post /sms/files","href":"/api-reference/sms/upload-media-for-an-mms-message"},{"title":"Cancel a scheduled SMS message for a lead","deprecated":null,"version":null,"openapi":"/openapi.json post /sms/{smsEventId}/cancel","href":"/api-reference/sms/cancel-a-scheduled-sms-message-for-a-lead"}]},{"group":"Telephony","pages":[{"title":"Generate a WebRTC login token","deprecated":null,"version":null,"openapi":"/openapi.json post /telephony/login","href":"/api-reference/telephony/generate-a-webrtc-login-token"}]},{"group":"Organizations","pages":[{"title":"Get current organization account profile","deprecated":null,"version":null,"openapi":"/openapi.json get /organizations/me","href":"/api-reference/organizations/get-current-organization-account-profile"},{"title":"Update current organization account profile","deprecated":null,"version":null,"openapi":"/openapi.json put /organizations/me","href":"/api-reference/organizations/update-current-organization-account-profile"},{"title":"Create an organization account","deprecated":null,"version":null,"openapi":"/openapi.json post /organizations/me","href":"/api-reference/organizations/create-an-organization-account"},{"title":"List organization switch options","deprecated":null,"version":null,"openapi":"/openapi.json get /organizations/me/options","href":"/api-reference/organizations/list-organization-switch-options"},{"title":"Switch current organization account context","deprecated":null,"version":null,"openapi":"/openapi.json post /organizations/me/switch","href":"/api-reference/organizations/switch-current-organization-account-context"},{"title":"List users for the current organization","deprecated":null,"version":null,"openapi":"/openapi.json get /organizations/me/members","href":"/api-reference
[...]
